Luxor PlatformAPI DocumentationEnergyContracts

List contracts

Retrieves a list of contracts for a specific site with pagination support.

GET
/api/v1/energy/contracts
AuthorizationBearer <token>

In: header

Query Parameters

site_id*array<>

Site IDs to filter contracts for

page_number?Page Number

Page number for pagination

Default1
page_size?Page Size

Number of items per page

Default100

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/energy/contracts?site_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "contracts": [    {      "comments": "Fixed PPA for peak hours",      "counterparty": "Luxor Energy",      "created_at": "2025-01-10T09:00:00Z",      "eligible_hours": [        7,        8,        9,        10,        11,        12,        13,        14,        15,        16,        17,        18      ],      "end_time": "2025-12-31T23:59:59Z",      "id": "8b9c5f64-6817-4562-b3fc-3d073f77bfc8",      "origin_iso_name": "ERCOT",      "origin_settlement_point_name": "LZ_HOUSTON",      "price": "35.50",      "quantity_kw": "100.0",      "site_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",      "start_time": "2025-12-22T00:00:00Z",      "strike_price": "65.00",      "strike_quantity_kw": "750.0",      "subtype": "FIXED",      "type": "PPA",      "updated_at": "2025-01-10T09:00:00Z"    }  ],  "pagination": {    "page_number": 0,    "page_size": 0,    "item_count": 0,    "previous_page_url": "string",    "next_page_url": "string"  }}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}